import * as unplugin from 'unplugin';
import { RemoteOptions, HostOptions } from '@module-federation/dts-kit';

type EnhancedRemoteOptions = {
    remote: RemoteOptions;
    extraOptions: Record<string, any>;
} | RemoteOptions;
type EnhancedHostOptions = {
    host: HostOptions;
    extraOptions: Record<string, any>;
} | HostOptions;
declare const NativeFederationTypeScriptRemote: unplugin.UnpluginInstance<EnhancedRemoteOptions, boolean>;
declare const NativeFederationTypeScriptHost: unplugin.UnpluginInstance<EnhancedHostOptions, boolean>;

export { EnhancedHostOptions, EnhancedRemoteOptions, NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
